# Uses of Interface
org.eclipse.birt.chart.model.component.ChartPreferences

Packages that use ChartPreferences
Package
Description
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.

## Uses of ChartPreferences in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return ChartPreferences
Modifier and Type
Method
Description
`ChartPreferences`
Serializer.`loadPreferences(InputStream is)`
Deprecated.
only reserved for compatibility
Methods in org.eclipse.birt.chart.model with parameters of type ChartPreferences
Modifier and Type
Method
Description
`void`
Serializer.`savePreferences(ChartPreferences preferences, OutputStream os)`
Deprecated.
only reserved for compatibility

## Uses of ChartPreferences in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return ChartPreferences
Modifier and Type
Method
Description
`ChartPreferences`
ChartPreferences.`copyInstance()`
Deprecated.
`ChartPreferences`
ComponentFactory.`createChartPreferences()`
Deprecated.
only reserved for compatibility

## Uses of ChartPreferences in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement ChartPreferences
Modifier and Type
Class
Description
`class`
`ChartPreferencesImpl`
Deprecated.
only reserved for compatibility
Methods in org.eclipse.birt.chart.model.component.impl that return ChartPreferences
Modifier and Type
Method
Description
`ChartPreferences`
ChartPreferencesImpl.`copyInstance()`
Deprecated.
`ChartPreferences`
ComponentFactoryImpl.`createChartPreferences()`

## Uses of ChartPreferences in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return ChartPreferences
Modifier and Type
Method
Description
`ChartPreferences`
SerializerImpl.`loadPreferences(InputStream is)`
Methods in org.eclipse.birt.chart.model.impl with parameters of type ChartPreferences
Modifier and Type
Method
Description
`void`
SerializerImpl.`savePreferences(ChartPreferences preferences, OutputStream os)`